Stop recording
curl --request POST \
--url https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/stop \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/stop"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/mock-apis/{mockApiId}/recordings/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mappings": [
{
"id": "093f1027-e5e0-4921-9e6d-e619dfd5d2c7",
"name": "recordables_123",
"request": {
"url": "/recordables/123",
"method": "GET"
},
"response": {
"status": 200,
"body": "{\n \"message\": \"Congratulations on your first recording!\"\n}",
"headers": {
"Content-Type": "application/json"
}
},
"uuid": "093f1027-e5e0-4921-9e6d-e619dfd5d2c7",
"persistent": true
}
]
}Recordings
Stop recording
End recording of stub mappings
POST
/
v1
/
mock-apis
/
{mockApiId}
/
recordings
/
stop
Stop recording
Path Parameters
The ID of the Mock API
Required string length:
5 - 10Example:
"jjl8y"
⌘I